package com.bonus.sgzb.material.domain;

import java.math.BigDecimal;
import com.bonus.sgzb.common.core.annotation.Excel;
import com.bonus.sgzb.common.core.web.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 修试后入库对象
 * 
 * @author bonus
 * @date 2023-12-18
 */
@Data
public class RepairInputDetails extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 任务ID */
    @Excel(name = "任务ID")
    private Long taskId;

    /** 维修审核ID */
    @Excel(name = "维修审核ID")
    private Long auditId;

    /** 维修ID */
    @Excel(name = "维修ID")
    private Long repairId;

    /** 机具ID */
    @Excel(name = "机具ID")
    private Long maId;

    /** 规格ID */
    @Excel(name = "规格ID")
    private Long typeId;

    /** 维修合格数量 */
    @Excel(name = "维修合格数量")
    private Integer repairNum;

    /** 入库数量 */
    @Excel(name = "入库数量")
    private Integer inputNum;

    /** 0未审核，1已入库，2驳回 */
    @Excel(name = "0未审核，1已入库，2驳回")
    private String status;

    /** 数据所属组织 */
    @Excel(name = "数据所属组织")
    private Long companyId;


    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }
    public void setAuditId(Long auditId) 
    {
        this.auditId = auditId;
    }

    public Long getAuditId() 
    {
        return auditId;
    }
    public void setRepairId(Long repairId) 
    {
        this.repairId = repairId;
    }

    public Long getRepairId() 
    {
        return repairId;
    }
    public void setMaId(Long maId) 
    {
        this.maId = maId;
    }

    public Long getMaId() 
    {
        return maId;
    }
    public void setTypeId(Long typeId) 
    {
        this.typeId = typeId;
    }

    public Long getTypeId() 
    {
        return typeId;
    }
    public void setRepairNum(Integer repairNum)
    {
        this.repairNum = repairNum;
    }

    public Integer getRepairNum()
    {
        return repairNum;
    }
    public void setInputNum(Integer inputNum)
    {
        this.inputNum = inputNum;
    }

    public Integer getInputNum()
    {
        return inputNum;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskId", getTaskId())
            .append("auditId", getAuditId())
            .append("repairId", getRepairId())
            .append("maId", getMaId())
            .append("typeId", getTypeId())
            .append("repairNum", getRepairNum())
            .append("inputNum", getInputNum())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("companyId", getCompanyId())
            .toString();
    }
}
